<template>
  <div class="main">
    <div class="main_tabs">
      <el-tabs v-model="activeName" @tab-click="handleClick">
            <el-tab-pane label="钢筋笼库存" name="first">
                <reins-invent ref="Invents"></reins-invent> 
            </el-tab-pane>
            <el-tab-pane label="成环统计" name="second">
                <rings-number ref="Rings"></rings-number>
            </el-tab-pane>
            <el-tab-pane label="生产数据统计" name="third">
                <products-data ref="Products"></products-data>
            </el-tab-pane>
        </el-tabs>
    </div>
  </div>
</template>
<script>
import ReinsInvent from './components/ReinsInvent.vue'//钢筋笼库存
import RingsNumber from './components/RingsNumber.vue'//成环统计
import ProductsData from './components/ProductsData.vue'//生产数据统计
export default {
    components:{
        ReinsInvent,
        RingsNumber,
        ProductsData
    },
    data(){
        return{
            activeName:'first'
        }
    },
    mounted(){
        this.$refs.Invents.searchButtonInfo(true);
        this.$refs.Invents.getAllProjects();
    },
    methods:{
        //切换界面
        handleClick(tab){
            switch(tab.name){
                case 'second':
                    this.$refs.Rings.searchButtonInfo(true);
                    this.$refs.Rings.getAllProjects();
                    break;
                case 'third':
                    this.$refs.Products.searchSteelProducePlan();
                    break;
                default:
                    this.$refs.Invents.searchButtonInfo(true);
                    this.$refs.Invents.getAllProjects();
            }
        },
    }
}
</script>
<style scoped lang="scss">
@import'@/style/layout-main.scss';
/deep/ .el-tabs__content{
    position: static;
}

/deep/.main {
  background: none;
}
</style>